| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLES2HardwareOcclusionQuery Class Reference

`#include <OgreGLES2HardwareOcclusionQuery.h>`

Inheritance diagram for Ogre::GLES2HardwareOcclusionQuery:
[legend]

## Public Member Functions
| GLES2HardwareOcclusionQuery ()
| Default object constructor. More...
| ~GLES2HardwareOcclusionQuery ()
| Object destructor. More...
void | beginOcclusionQuery ()
void | endOcclusionQuery ()
bool | isStillOutstanding (void)
bool | pullOcclusionQuery (unsigned int *NumOfFragments)

## Constructor & Destructor Documentation

## ◆ GLES2HardwareOcclusionQuery()

Ogre::GLES2HardwareOcclusionQuery::GLES2HardwareOcclusionQuery | ( |  | ) |

Default object constructor.

## ◆ ~GLES2HardwareOcclusionQuery()

Ogre::GLES2HardwareOcclusionQuery::~GLES2HardwareOcclusionQuery | ( |  | ) |

Object destructor.

## Member Function Documentation

## ◆ beginOcclusionQuery()

void Ogre::GLES2HardwareOcclusionQuery::beginOcclusionQuery | ( |  | ) |

## ◆ endOcclusionQuery()

void Ogre::GLES2HardwareOcclusionQuery::endOcclusionQuery | ( |  | ) |

## ◆ pullOcclusionQuery()

bool Ogre::GLES2HardwareOcclusionQuery::pullOcclusionQuery | ( | unsigned int * | NumOfFragments | ) |

## ◆ isStillOutstanding()

bool Ogre::GLES2HardwareOcclusionQuery::isStillOutstanding | ( | void |  | ) |

The documentation for this class was generated from the following file:

- OgreGLES2HardwareOcclusionQuery.h